Loading...
Searching...
No Matches
spritesheet.h File Reference
`#include <stdint.h>`
`#include "arc/math/point.h"`
`#include "arc/math/rectangle.h"`
`#include "arc/graphics/renderer.h"`
`#include "arc/std/string.h"`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Spritesheet | ARC_Spritesheet

## Functions

void | ARC_Spritesheet_CreateFromFile (ARC_Spritesheet **spritesheet, ARC_Renderer *renderer, ARC_String *path)
void | ARC_Spritesheet_Destroy (ARC_Spritesheet *spritesheet)
void | ARC_Spritesheet_RenderArea (ARC_Spritesheet *spritesheet, ARC_Rect *sheetBounds, ARC_Renderer *renderer, ARC_Rect *renderBounds)
ARC_Point | ARC_Spritesheet_GetSize (ARC_Spritesheet *spritesheet)
uint32_t * | ARC_Spritesheet_GetTileSize (ARC_Spritesheet *spritesheet)

## Typedef Documentation

## ARC_Spritesheet

typedef struct ARC_Spritesheet ARC_Spritesheet

Definition at line 14 of file spritesheet.h.

## Function Documentation

## ARC_Spritesheet_CreateFromFile()

void ARC_Spritesheet_CreateFromFile | ( | ARC_Spritesheet ** | spritesheet,
|  | ARC_Renderer * | renderer,
|  | ARC_String * | path )

## ARC_Spritesheet_Destroy()

void ARC_Spritesheet_Destroy | ( | ARC_Spritesheet * | spritesheet | ) |

## ARC_Spritesheet_GetSize()

ARC_Point ARC_Spritesheet_GetSize | ( | ARC_Spritesheet * | spritesheet | ) |

## ARC_Spritesheet_GetTileSize()

uint32_t * ARC_Spritesheet_GetTileSize | ( | ARC_Spritesheet * | spritesheet | ) |

## ARC_Spritesheet_RenderArea()

void ARC_Spritesheet_RenderArea | ( | ARC_Spritesheet * | spritesheet,
|  | ARC_Rect * | sheetBounds,
|  | ARC_Renderer * | renderer,
|  | ARC_Rect * | renderBounds )